Subject: Re: Two signalling protocols (LDP & RSVP)

From: "Loa Andersson" <[email-masked]>
Date: Sat, 28 Apr 2001 12:31:39 +0200

Eric,

I pointed this out in a "off the list" mail to Gang Luo, you
could even have C and D over the same interface on shared 
media. It is technical possible.

This said an operator that has e.g. RSVP-TE and LDP in the
network would hardly introduce equipment that requires introducing
another signalling protcol and won't give you any major 
advantages.
In the case below, running A,B and D on RSVP-TE, C would have 
to stay out of my network. Permanetly. 
I think Kireetis point is valid. Off load complexity when possible.

/Loa
----- Original Message -----
From: Eric Osborne <[email-masked]>
Date: Friday, April 27, 2001 10:47 pm
Subject: Re: Two signalling protocols (LDP & RSVP)

> On Fri, Apr 27, 2001 at 09:13:06AM -0700, Kireeti Kompella wrote:
> > > Do you think the original question used "LDP" to mean "CR-LDP"?
> > 
> > I don't think so, but the previous poster switched subjects.  I
> > agree completely, it makes perfect sense to run LDP and RSVP-TE
> > on the same interfaces (depending on your applications), whereas
> > running RSVP-TE and CR-LDP in the same network, let alone on the
> > same interfaces, seems to be inviting gratuitous complexity.
> 
> 
> Except in multi-vendor networks, where one vendor does RSVP and the
> other does CR-LDP:
> 
> 
>      C
>     /
> A---B 
>     \
>      D
> 
> If C does only CR-LDP and D does only RSVP, then A may need to do 
> both 
> RSVP and CR-LDP on the A<->B link.  This would not be the case if B
> instead did some sort of RSVP<->CR-LDP translation, however.
> 
> 
> 
> eric
> 
>

---

From: Eric Osborne <[email-masked]>
Date: Sat, 28 Apr 2001 10:18:43 -0400

> I think Kireetis point is valid. Off load complexity when possible.

Sure.  I agree completely.  I think we're still not sure whether the
original question about using RSVP and LDP at the same time, or RSVP
and CR-LDP.  The former makes more sense as a requirement; the latter, 
although maybe not the least complex way to do things, is certainly
possible.

eric